import React from "react";
import { ConfigProvider } from "antd";
import { HelmetProvider } from "react-helmet-async";
import { AppProvider, AuthProvider, AlertProvider } from "./hooks";
import { AppRouting } from "./routers";
import esES from "antd/lib/locale/es_ES";

function App() {


  return (
    <ConfigProvider
      locale={esES}
      theme={{
        token: {
          // Seed Token
          // colorPrimary: '#00827e',
          // colorInfo: '#813699',
          // colorPrimaryBorderHover: '#813699',
          // borderRadius: 5,
        },
      }}
    >
      <HelmetProvider>
        <AppProvider>
          <AlertProvider>
            <AuthProvider>
              <AppRouting />
            </AuthProvider>
          </AlertProvider>
        </AppProvider>
      </HelmetProvider>
    </ConfigProvider>
  );
}

export default App;
